﻿using System.ComponentModel;
using IDIS.Model;
using Newtonsoft.Json;

namespace IDIS.YL106.Model;

public record Object_Product:IDIS_Model
{
    /// <summary>
    /// 产品名称
    /// </summary>
    [DisplayName("产品名称")]
    [JsonProperty("product_name")]
    public string ProductName { get; set; } = string.Empty;

    /// <summary>
    /// 产品类型
    /// </summary>
    [DisplayName("产品类型")]
    [JsonProperty("product_type")]
    public string ProductType { get; set; }= string.Empty;

    /// <summary>
    /// 订单标识
    /// </summary>
    [DisplayName("订单标识")]
    [JsonProperty("order_handle")]
    public string OrderHandle { get; set; }= string.Empty;

    /// <summary>
    /// 生产日期
    /// </summary>
    [DisplayName("生产日期")]
    [JsonProperty("manufacture_date")]
    public DateTime ManufactureDate { get; set; } = DateTime.MinValue;

    /// <summary>
    /// 批次号
    /// </summary>
    [DisplayName("批次号")]
    [JsonProperty("batch_number")]
    public string BatchNumber { get; set; }= string.Empty;

    /// <summary>
    /// 注意事项 (默认值: "请勿将移动电源放入水中")
    /// </summary>
    [DisplayName("注意事项")]
    [JsonProperty("note")]
    public string Note { get; set; } = "请不要在用力弯曲或者误食笔芯";

}
