using System.ComponentModel;
using IDIS.Model;
using Newtonsoft.Json;

namespace IDIS.YL106.Model;

public record Procedure_Base:IDIS_Model
{
	/// <summary>
	/// 工序名称
	/// </summary>
	[DisplayName("工序名称")]
	[JsonProperty("name")]
	public string Name { get; set; } = string.Empty;
	/// <summary>
	/// 业务任务编码
	/// </summary>
	[DisplayName("业务任务编码")]
	[JsonProperty("assignment_code")]
	public string AssignmentCode { get; set; } = string.Empty;
	/// <summary>
	/// 主要物体
	/// </summary>
	[DisplayName("主要物体")]
	[JsonProperty("main_object")]
	public string MainObject { get; set; } = string.Empty;
	/// <summary>
	/// 创建时间
	/// </summary>
	[DisplayName("创建时间")]
	[JsonProperty("create_time")]
	public DateTime CreateTime { get; set; } = DateTime.Now;
	/// <summary>
	/// 完成时间(未完成时为DateTime.Min)
	/// </summary>
	[DisplayName("完成时间")]
	[JsonProperty("complete_time")]
	public DateTime CompleteTime { get; set; } = DateTime.Now;
	/// <summary>
	/// 最后更新时间
	/// </summary>
	[DisplayName("最后更新时间")]
	[JsonProperty("last_updateTime")]
	public DateTime LastUpdateTime { get; set; } = DateTime.Now;
}